Skip to content
Start here

Get latest Internet outages and anomalies

GET/radar/annotations/outages

Retrieves the latest Internet outages and anomalies.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
asn: optional number

Filters results by Autonomous System. Specify a single Autonomous System Number (ASN) as integer.

dateEnd: optional string

End of the date range (inclusive).

formatdate-time
dateRange: optional string

Filters results by date range.

dateStart: optional string

Start of the date range (inclusive).

formatdate-time
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location: optional string

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
origin: optional string

Filters results by origin.

maxLength100
ReturnsExpand Collapse
result: object { annotations }
annotations: array of object { id, asns, asnsDetails, 12 more }
id: string
asns: array of number
asnsDetails: array of object { asn, name, locations }
asn: string
name: string
locations: optional object { code, name }
code: string
name: string
dataSource: string
eventType: string
locations: array of string
locationsDetails: array of object { code, name }
code: string
name: string
origins: array of string
originsDetails: array of object { name, origin }
name: string
origin: string
outage: object { outageCause, outageType }
outageCause: string
outageType: string
startDate: string
formatdate-time
description: optional string
endDate: optional string
formatdate-time
linkedUrl: optional string
scope: optional string
success: boolean

Get latest Internet outages and anomalies

curl https://api.cloudflare.com/client/v4/radar/annotations/outages \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "annotations": [
      {
        "id": "550",
        "asns": [
          189
        ],
        "asnsDetails": [
          {
            "asn": "189",
            "name": "LUMEN-LEGACY-L3-PARTITION",
            "locations": {
              "code": "US",
              "name": "United States"
            }
          }
        ],
        "dataSource": "ALL",
        "eventType": "OUTAGE",
        "locations": [
          "US"
        ],
        "locationsDetails": [
          {
            "code": "US",
            "name": "United States"
          }
        ],
        "origins": [
          "amazon-us-east-1"
        ],
        "originsDetails": [
          {
            "name": "us-east-1 Amazon Web Services",
            "origin": "amazon-us-east-1"
          }
        ],
        "outage": {
          "outageCause": "CABLE_CUT",
          "outageType": "NATIONWIDE"
        },
        "startDate": "2019-12-27T18:11:19.117Z",
        "description": "example",
        "endDate": "2019-12-27T18:11:19.117Z",
        "linkedUrl": "http://example.com",
        "scope": "Colima, Michoacán, México"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "annotations": [
      {
        "id": "550",
        "asns": [
          189
        ],
        "asnsDetails": [
          {
            "asn": "189",
            "name": "LUMEN-LEGACY-L3-PARTITION",
            "locations": {
              "code": "US",
              "name": "United States"
            }
          }
        ],
        "dataSource": "ALL",
        "eventType": "OUTAGE",
        "locations": [
          "US"
        ],
        "locationsDetails": [
          {
            "code": "US",
            "name": "United States"
          }
        ],
        "origins": [
          "amazon-us-east-1"
        ],
        "originsDetails": [
          {
            "name": "us-east-1 Amazon Web Services",
            "origin": "amazon-us-east-1"
          }
        ],
        "outage": {
          "outageCause": "CABLE_CUT",
          "outageType": "NATIONWIDE"
        },
        "startDate": "2019-12-27T18:11:19.117Z",
        "description": "example",
        "endDate": "2019-12-27T18:11:19.117Z",
        "linkedUrl": "http://example.com",
        "scope": "Colima, Michoacán, México"
      }
    ]
  },
  "success": true
}